import javafx.scene.Group;
import javafx.scene.paint.Color;
import javafx.scene.shape.Circle;
import javafx.scene.shape.Rectangle;
import javafx.scene.transform.Rotate;

public class Gun extends Group{
	
	Color color = Color.YELLOW;
	
	Rotate rot = new Rotate();
	int count = 360;
	
	public Gun()
	{
		super();
		Circle c = new Circle(20, color);
		Rectangle barrel = new Rectangle(60, 16, color);
		barrel.setTranslateX(15);
		barrel.setTranslateY(-8);
		Rectangle muzzle = new Rectangle(10, 20, color);
		muzzle.setTranslateX(70);
		muzzle.setTranslateY(-10);
		getChildren().addAll(c, barrel, muzzle);
		getTransforms().add(rot);
		rot.setAngle(360);	
	}
	
	public void update()
	{
		count -= 2;
		if (count < 0)
			count += 360;
		rot.setAngle(count);
	}
	
}
