import javafx.scene.paint.Color;
import javafx.scene.paint.CycleMethod;
import javafx.scene.paint.LinearGradient;
import javafx.scene.paint.Paint;
import javafx.scene.paint.Stop;
import javafx.scene.shape.Rectangle;

public class Target extends Rectangle{

	public Target(double x1, double y1)
	{
		super(x1, y1, 20, 80);
		Stop[] stops = new Stop[] { new Stop(0, Color.YELLOW), new Stop(1, Color.GREEN)};
		Paint paint = new LinearGradient(.5, .20, .5, .80, true, CycleMethod.NO_CYCLE, stops);
		setFill(paint);
		setStroke(Color.WHITE);
	}
}
